package cn.superdesk.uniorder.dao.mapper.setting;

import cn.superdesk.uniorder.dao.entity.setting.UnifiedService;
import cn.superdesk.uniorder.dao.entity.unified.UnifiedServiceGroup;
import cn.superdesk.uniorder.dto.vo._function.select.SelectOptionUnifiedService;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface UnifiedServiceMapperEx {

	List<UnifiedService> findAll(Map<String, Object> queryMap);

	List<SelectOptionUnifiedService> getSelectByVirt(Map<String, Object> params);

	List<UnifiedServiceGroup> findAllByGroup(Map<String, Object> params);

	UnifiedService findByCode(String code);

	UnifiedService findByServiceNo(@Param("serviceNo") String serviceNo);
}